Latest Version on Packagist Coverage Status Build Status Codacy Badge PHP 5.6 PHP 7.0 PHP 7.1 Logo

Welcome to the heidelpay payment api for php

This is the php payment api for heidelpay. The library will help you to easily integrate heidelpay into your application.

ATTENTION: This package is abandoned and replaced by heidelpay/php-payment-api package.

Currently supported payment methods:

  • credit card
  • debit card
  • prepayment
  • Sofort
  • PayPal
  • direct debit
  • iDeal
  • Giropay
  • Przelewy24
  • PostFinance Card
  • PostFinance EFinance
  • EPS
  • invoice
  • invoice secured b2c
  • direct debit secured b2c
  • Santander invoice
  • easyCredit

SYSTEM REQUIREMENTS

php-api requires PHP 5.6 or higher; we recommend using the latest stable PHP version whenever possible.

SECURITY ADVICE

If you want to store the output of this library into a database or something, please make sure that your application takes care of sql injection, cross-site-scripting (xss) and so on. There is no build in protection by now.

LICENSE

You can find a copy of this license in LICENSE.txt.

Documentation

Please visit http://dev.heidelpay.com/heidelpay-php-api/ for the developer documentation.

UnitTest

This library comes with a set of unit tests. Please be so kind and do not run all tests on any build.

Examples

Integration examples can be found in the example folder. Just open the

_enableExamples.php and change

define('HeidelpayPhpApiExamples', FALSE);

to

define('HeidelpayPhpApiExamples', TRUE);

Please make sure to switch it off again, after you lunch your application.

Php API

For any issues or questions please get in touch with us [email protected]

Php API Info

⭐ Stars 9
🔗 Homepage dev.heidelpay.com
🔗 Source Code github.com
🕒 Last Update 10 months ago
🕒 Created 5 years ago
🐞 Open Issues 0
➗ Star-Issue Ratio Infinity
😎 Author heidelpay